Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.uicli.jui
Class JUPanelValidationEvent

`java.lang.Object
java.util.EventObject
oracle.adf.model.binding.DCBindingContainerValidationEvent
oracle.jbo.uicli.jui.JUPanelValidationEvent`

All Implemented Interfaces:
  java.io.Serializable

public class JUPanelValidationEvent
extends DCBindingContainerValidationEvent

Implements EventObject that is passed to the JUPanelValidationListeners in the various event methods. This class provides access to the current iterator binding, panel binding, current row, attribute being edited, and its new value, etc as the case may be for a particular event method.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`JUPanelValidationEvent(JUControlBinding source, JUFormBinding panel, JUIteratorBinding iterBinding, Row row, java.lang.String attrName, java.lang.Object value)`
`JUPanelValidationEvent(JUFormBinding source, DCDataControl dc)`
`JUPanelValidationEvent(JUFormBinding source, JUIteratorBinding iterBinding, Row row)`
`JUPanelValidationEvent(JUFormBinding source, oracle.jbo.Transaction txn)` Deprecated. since 9.0.5. use the constructor with datacontrol instead.

Method Summary
`JUPanelBinding` | `getPanelBinding()`

Methods inherited from class oracle.adf.model.binding.DCBindingContainerValidationEvent
`getAttributeName, getBindingContainer, getDataControl, getIteratorBinding, getNewValue, getRow, getRowIterator, getTransaction, getValue, isFindMode, setNewValue`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JUPanelValidationEvent

    public JUPanelValidationEvent(JUControlBinding source,
                                  JUFormBinding panel,
                                  JUIteratorBinding iterBinding,
                                  Row row,
                                  java.lang.String attrName,
                                  java.lang.Object value)

### JUPanelValidationEvent

    public JUPanelValidationEvent(JUFormBinding source,
                                  JUIteratorBinding iterBinding,
                                  Row row)

### JUPanelValidationEvent

    public JUPanelValidationEvent(JUFormBinding source,
                                  oracle.jbo.Transaction txn)

  Deprecated. since 9.0.5. use the constructor with datacontrol instead.

### JUPanelValidationEvent

    public JUPanelValidationEvent(JUFormBinding source,
                                  DCDataControl dc)

Method Detail

### getPanelBinding

    public final JUPanelBinding getPanelBinding()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.